<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/bootstrap :: bootstrap">
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <nav th:replace="fragments/navbar :: navbar"></nav>

    <center>
        <div class="container">
                <form th:action="${'/books/' + bookEdit.id + '/edit'}" th:method="post">
                    <div class="form-group">
                        <label for="title">Title:</label>
                            <input type="text" name="title" id="title" th:value="${bookEdit.title}">
                    </div>
                    <div class="form-group">
                        <label for="author">Author:</label>
                            <input type="text" name="author" id="author" th:value="${bookEdit.author}">
                    </div>
                    <div class="form-group">
                        <label for="genre">Genre:</label>
                            <input type="text" name="genre" id="genre" th:value="${bookEdit.genre}">
                    </div>
                    <div class="form-group">
                        <label for="date">Release Date:</label>
                            <input type="text" name="date" id="date" th:value="${bookEdit.date}">
                    </div>
                    <button>Save changes</button>
                </form>
                    <br>
                    <br>
            <form th:action="${'/books/' + bookEdit.id + '/delete'}" th:method="post">
                <button class="btn btn-outline-danger">Delete Book</button>
            </form>
        </div>
    </center>

    <footer th:replace="fragments/footer :: footer"></footer>
</body>
</html>
